## kmplayer 0.8.3-3

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey@novell.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = KMPlayer
PACKAGE = KMPlayer
VERSION = 20080628

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = /home/koos/releases/kmplayer-0.8.3/install-sh
# Automake >= 1.8 provides @mkdir_p@.
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = @ALL_LINGUAS@

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; fi)

POFILES=$(shell if test -n "$(PO_LINGUAS)"; then LINGUAS="$(PO_LINGUAS)"; else LINGUAS="$(ALL_LINGUAS)"; fi; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS

POTFILES = \
#This Gets Replace for some reason

CATALOGS=$(shell if test -n "$(PO_LINGUAS)"; then LINGUAS="$(PO_LINGUAS)"; else LINGUAS="$(ALL_LINGUAS)"; fi; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(itlocaledir)
	if test -n "$(PO_LINGUAS)"; then \
	  linguas="$(PO_LINGUAS)"; \
	else \
	  linguas="$(ALL_LINGUAS)"; \
	fi; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	if test -n "$(PO_LINGUAS)"; then \
	  linguas="$(PO_LINGUAS)"; \
	else \
	  linguas="$(ALL_LINGUAS)"; \
	fi; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	if test -n "$(PO_LINGUAS)"; then \
	  linguas="$(PO_LINGUAS)"; \
	else \
	  linguas="$(ALL_LINGUAS)"; \
	fi; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in ../config.status POTFILES.in
	cd .. \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## kmplayer 0.7.2-2

=== debian/changelog ===
kmplayer (0.7.2-2) unstable; urgency=low

  * Use shared libcairo

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 25 Apr 2007 18:57:08 +0200

kmplayer (0.7.2-1) unstable; urgency=low

  * Fix MPlayer in fullscreen didn't respond to key events
  * Fix crash in gnome_vfs_get_mime_type, don't used anymore
  * Fix unnecessary resizing of video widget at start with Xv
  * Fix osso-media-player got paused in fullscreen on 770

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 31 Mar 2007 22:53:12 +0200

kmplayer (0.7.1-2) unstable; urgency=low

  * MPlayer defaults to xv again

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 25 Mar 2007 18:05:04 +0200

kmplayer (0.7.1-1) unstable; urgency=low

  * Progresbar added
  * Seek implemented for osso-media-player
  * End fullscreen when playing stops
  * Global unique string for attribute names, reducing memory pressure

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 25 Mar 2007 01:52:19 +0100

kmplayer (0.7.0-1) unstable; urgency=low

  * Full fullscreen and locationbar overhaul
  * MPlayer defaults to framebuffer again

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 28 Feb 2007 21:19:38 +0100

kmplayer (0.6.6-2) unstable; urgency=low

  * Text lost and repaint fixes

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 18 Feb 2007 20:54:14 +0100

kmplayer (0.6.6-1) unstable; urgency=low

  * Lots of SMIL fixes

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 18 Feb 2007 20:54:14 +0100

kmplayer (0.6.5-1) unstable; urgency=low

  * Bora support, adding a video widget for Xv. Mistral still works
  * Link nodes in SMIL support

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 03 Feb 2007 00:42:22 +0100

kmplayer (0.6.4-1) unstable; urgency=low

  * Move painting for SMIL from GDK to Cairo
  * Better support the MPlayer for N770, buffer notification, seek, volume
    resizing of output window (MPlayer from SVN at this date)

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 03 Jan 2007 01:03:04 +0100

kmplayer (0.6.3-1) unstable; urgency=low

  * Fix a few crash cases, one that made kmplayer crash quite often
  * Support the MPlayer for N770, task switching is likely broken w/ video

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 03 Jan 2007 01:03:04 +0100

kmplayer (0.6.2-1) unstable; urgency=low

  * Fix calling wrong interface with osso-media audio fallback

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 19 Nov 2006 22:00:40 +0100

kmplayer (0.6.1-1) unstable; urgency=low

  * Add copy/cut/paste for playlist items via the menu
  * Fall back on audio only if osso-media video server gives an unsupported

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 19 Nov 2006 20:45:49 +0100

kmplayer (0.6.0-2) unstable; urgency=low

  * Fix regression that made audio only link unplayable

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 13 Nov 2006 00:29:24 +0100

kmplayer (0.6.0-1) unstable; urgency=low

  * Merged in the XSPF playlist format from the KDE 0.9.3 version
  * Black border for root nodes
  * Info view now uses GtkHtml
  * Fix saving location bar entries

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 12 Nov 2006 22:56:35 +0100

kmplayer (0.5.9-1) unstable; urgency=low

  * From the KDE 0.9.3 version:
  *  Recents, fully functional
  *  Playlists, functional though no easy way to create entries

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 27 Oct 2006 23:07:07 +0200

kmplayer (0.5.2-1) unstable; urgency=low

  * Support for the fullscreen button, toolbar still usable currently
  * Better feedback to the user about playing by showing the pause button
  * Crash fixes for changing documents while old one still playing
  * Smaller binary size
  * Memory leak fixed, old documents weren't cleaned

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 09 Jul 2006 12:55:29 +0200

kmplayer (0.5.1-1) unstable; urgency=low

  * Better feedback to the user about buffering and failures

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 02 Jul 2006 22:58:08 +0200

kmplayer (0.5.0-1) unstable; urgency=low

  * Maemo-2.0 osso-media-server fix
  * Jump in playlist support

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 30 Jun 2006 20:44:19 +0200

kmplayer (0.4.3-1) unstable; urgency=low

  * Updates for Maemo-2.0

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 11 Jun 2006 01:58:41 +0200

kmplayer (0.4.2-1) unstable; urgency=low

  * Sync playlist engine w/ KDE 0.9.2a, better nested document support

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 06 Jun 2006 23:28:29 +0200

kmplayer (0.4.1-1) unstable; urgency=low

  * Bug fix backports from KDE's kmplayer and RP::Wipe implementation

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 25 Mar 2006 17:40:02 +0100

kmplayer (0.4.0-1) unstable; urgency=low

  * Starting audio support w/ media server

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 25 Mar 2006 17:40:02 +0100

kmplayer (0.3.5-1) unstable; urgency=low

  * Behave better ..

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 23 Mar 2006 21:55:02 +0100

kmplayer (0.3.4-1) unstable; urgency=low

  * Merge nested SMIL support
  * Adding application icon

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 20 Mar 2006 00:10:20 +0100

kmplayer (0.3.3-1) unstable; urgency=low

  * Fix broken gif animation and multible resolve job fix (backport).

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 05 Mar 2006 19:23:11 +0100

kmplayer (0.3.2-1) unstable; urgency=low

  * Support for RealPix ported from upstream.

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 04 Mar 2006 15:17:50 +0100

kmplayer (0.3.1-1) unstable; urgency=low

  * Sync w/ Document::timers from KMPlayer's KDE SVN r493424.

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 02 Jan 2006 15:05:34 +0100

kmplayer (0.3.0-1) unstable; urgency=low

  * First semi-working video backend, osso-media-server

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 17 Dec 2005 00:39:29 +0100

kmplayer (0.2.4-1) unstable; urgency=low

  * Simple location bar for entering remote url's



=== debian/control ===
Source: kmplayer
Section: user/sound
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 4.0.0), hildon-base-lib-dev, hildon-libs-dev,
               hildon-lgpl-dev, libgtk2.0-dev, libosso-gnomevfs2-dev,
               libglib2.0-dev, libglib2.0-dev, libdbus-glib-1-dev, libosso-dev,
               libcairo-dev
Standards-Version: 3.6.0

Package: kmplayer
Architecture: any
Depends: libcairo
Provides: kmplayer-media-player
Description: Media player.

## kmplayer 0.7.2-3

=== debian/changelog ===
kmplayer (0.7.2-3) unstable; urgency=low

  * libcairo -> libcairo2

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 25 Apr 2007 18:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends: debhelper (>= 4.0.0), hildon-base-lib-dev, hildon-libs-dev,
                hildon-lgpl-dev, libgtk2.0-dev, libosso-gnomevfs2-dev,
                libglib2.0-dev, libglib2.0-dev, libdbus-glib-1-dev, libosso-dev,
-               libcairo-dev
+               libcairo2-dev
 Standards-Version: 3.6.0
 
 Package: kmplayer
 Architecture: any
-Depends: libcairo
+Depends: libcairo2
 Provides: kmplayer-media-player
 Description: Media player.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall
PACKAGENAME = kmplayer

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
else
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/var/lib/install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kmplayer 0.7.3-1

=== debian/changelog ===
kmplayer (0.7.3-1) unstable; urgency=low

  * Version 0.7.3 with support for the libflash plugin

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 22 Jul 2007 21:27:31 +0200

## kmplayer 0.7.4-1

=== debian/changelog ===
kmplayer (0.7.4-1) unstable; urgency=low

  * Version 0.7.4
  * fix resizing the libflash plugin causing too much screen updates
  * per mimetype player config in gconf, hardcode shockwave to flash
  * SMIL improvements, more transitions added, animateMotion among others

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 21 Sep 2007 22:13:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,11 @@
 	INSTALL_PROGRAM += -s
 endif
 
+configure: config.status
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-final
 
 
 build: build-stamp

## kmplayer 0.8.0-1

=== debian/changelog ===
kmplayer (0.8.0-1) unstable; urgency=low

  * Chinook ported
  * SMIL synchronization improvement by init all first level children of groups

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 19 Jan 2008 18:45:51 +0100

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: extra
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Media player.

## kmplayer 0.8.1-1

=== debian/changelog ===
kmplayer (0.8.1-1) unstable; urgency=low

  * +/- volume control now also for osso-media-server
  * Add default region to smil layout, fixes some audio only cases
  * Better detection of audio only streams for skipping the screen blanker
  * Add default playlist.xml to get started
  * Fixed navigation in current playlist
  * Use platform icons and increase font +1, looks better

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 27 Jan 2008 16:15:36 +0100

## kmplayer 0.8.2-1

=== debian/changelog ===
kmplayer (0.8.2-1) unstable; urgency=low

  * fix fullscreen hardware key not working with flash
  * fix screen blanking with play items without a playlist
  * move default playlist.xml from /usr/share/doc to /usr/share/applications
  * recognize priorityClass and support 'peers="pause"'

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 07 Mar 2008 21:22:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: kmplayer
 Section: user/multimedia
-Priority: extra
+Priority: optional
 Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev
 Standards-Version: 3.7.2

## kmplayer 0.8.3-1

=== debian/changelog ===
kmplayer (0.8.3-1) unstable; urgency=low

  * Add a save button to download a link, that would normally be played
  * Fix a XPixmap leak in the SMIL painting code

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 26 Jun 2008 22:09:02 +0200

## kmplayer 0.8.3-3

=== debian/changelog ===
kmplayer (0.8.3-3) unstable; urgency=low

  * Add osso-af-settings in build depend

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 28 Jun 2008 22:10:54 +0200

kmplayer (0.8.3-2) unstable; urgency=low

  * Make sure the saving banner popups, even if we failed to get a percentage
  * Case insensitive http header match
  * Reclaim memory in SMIL earlier for seq children

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 28 Jun 2008 17:39:30 +0200

## kmplayer 0.8.4-1

=== debian/changelog ===
kmplayer (0.8.4-1) unstable; urgency=low

  * Fix playing a map, eg. an already played ASX, to always play first entry
  * Fix changing player for not stopping the previous player
  * Fullscreen controls to move through the playlist
  * Fix some Gtk warnings
  * Support for m3uext tags, only # lines for setting the title on next entry

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 06 Jul 2008 14:48:22 +0200

## kmplayer 0.8.4-2

=== debian/changelog ===
kmplayer (0.8.4-2) unstable; urgency=low

  * Remove shdepends for chinook builds, only keep libcairo2 for bora

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 11 Jul 2008 19:27:33 +0200

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml-dev, libcairo2-dev, libpango1.0-dev, libcurl3-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonhelp-dev, libhildonfm2-dev, osso-af-settings
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: libcairo2
Description: Media player.

## kmplayer 0.8.4-3

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize

GETTEXT_PACKAGE = KMPlayer
PACKAGE = KMPlayer
VERSION = 20080711

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
libdir = ${exec_prefix}/lib
localedir = $(libdir)/locale
gnulocaledir = $(datadir)/locale
gettextsrcdir = $(datadir)/glib-2.0/gettext/po
subdir = po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = arm-linux-gnueabi-gcc
GENCAT = @GENCAT@
GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
XGETTEXT = /scratchbox/tools/bin/xgettext
MSGMERGE = msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -Wall -O2 -O2 -Wall -ansi -pedantic
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = 
POFILES =  en_GB.po
GMOFILES =  en_GB.gmo
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(GETTEXT_PACKAGE).pot \
$(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \

CATALOGS =  en_GB.gmo
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) $(MSGFMT_OPTS) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(srcdir)/$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(GETTEXT_PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
          --flag=g_strdup_printf:1:c-format \
          --flag=g_string_printf:2:c-format \
          --flag=g_string_append_printf:2:c-format \
          --flag=g_error_new:3:c-format \
          --flag=g_set_error:4:c-format \
          --flag=g_markup_printf_escaped:1:c-format \
          --flag=g_log:3:c-format \
          --flag=g_print:1:c-format \
          --flag=g_printerr:1:c-format \
          --flag=g_printf:1:c-format \
          --flag=g_fprintf:2:c-format \
          --flag=g_sprintf:2:c-format \
          --flag=g_snprintf:3:c-format \
          --flag=g_scanner_error:2:c-format \
          --flag=g_scanner_warn:2:c-format \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(GETTEXT_PACKAGE).po \
	   || ( rm -f $(srcdir)/$(GETTEXT_PACKAGE).pot \
		&& mv $(GETTEXT_PACKAGE).po $(srcdir)/$(GETTEXT_PACKAGE).pot )

install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  rm -f $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	fi

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(GETTEXT_PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(GETTEXT_PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.po $(GETTEXT_PACKAGE).pot -o $$tmpdir/$$lang.new.po; then \
	    if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

# POTFILES is created from POTFILES.in by stripping comments, empty lines
# and Intltool tags (enclosed in square brackets), and appending a full
# relative path to them
POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' 						\
		    -e "s/^\[.*\] +//" 					\
		    -e '/^[ 	]*$$/d' 				\
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in	\
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
kmplayer (0.8.4-3) unstable; urgency=low

  * Retry, now with chinook auto builder

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 11 Jul 2008 22:41:26 +0200

## kmplayer 0.8.5-1

=== debian/changelog ===
kmplayer (0.8.5-1) unstable; urgency=low

  * Support foreign installable playlists
  * Don't resend F4, the menu hardware button, in fullscreen
  * Rebuild the playlist less often

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 12 Jul 2008 23:04:36 +0200

## kmplayer 0.8.5-2

=== debian/changelog ===
kmplayer (0.8.5-2) unstable; urgency=low

  * Fix a bug that made clicking on groups while playing kmplayer non stoppable
  * Suggest a proper name if saving an enclosed url from a feed

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 14 Jul 2008 16:33:51 +0200

## kmplayer 0.8.5-3

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = KMPlayer
 PACKAGE = KMPlayer
-VERSION = 20080711
+VERSION = 20080712
 
 SHELL = /bin/sh

=== debian/changelog ===
kmplayer (0.8.5-3) unstable; urgency=low

  * Redo fix of executing a group from a playlist
  * Fix smil files not replayable in the active playlist

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 14 Jul 2008 22:50:46 +0200

## kmplayer 0.8.6-1

=== debian/changelog ===
kmplayer (0.8.6-1) unstable; urgency=low

  * Add option for using omapfb for MPlayer
  * Change fullscreen controls, reuse select and hide for the text area, add
    favorites button

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 05 Aug 2008 22:59:40 +0200

## kmplayer 0.8.6-2

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = KMPlayer
 PACKAGE = KMPlayer
-VERSION = 20080712
+VERSION = 20080813
 
 SHELL = /bin/sh

=== debian/changelog ===
kmplayer (0.8.6-2) unstable; urgency=low

  * Fix the favorites not being loaded if first an add to favorites occurred
  * Don't automatically expand groups traversing the list from fullscreen
    control buttons. Instead, one has to click on the text area
  * Don't collapse a playlist tree if an item is moved to the active area
  * Fix regression in 0.8.6-1 for local playlist loading
  * Change icon for favorites to match favorites button

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 13 Aug 2008 22:34:22 +0200

## kmplayer 0.8.7-1

=== debian/changelog ===
kmplayer (0.8.7-1) unstable; urgency=low

  * Workaround fullscreen controls with MPlayer and omapfb, resizes video so
    that they don't overlap
  * Double click on video now toggles fullscreen mode
  * Added 'Change title' player menu item for changing title for favorites items
  * Fix hard to trigger top-right click for fullscreen controls with wide video
  * Don't exit fullscreen mode if a node from a different playlist is selected

 -- Koos Vriezen <koos.vriezen@gmail.com>  Fri, 03 Oct 2008 17:06:25 +0200

## kmplayer 0.8.7-2

=== debian/changelog ===
kmplayer (0.8.7-2) unstable; urgency=low

  * Add support for 'mplayeropts' attribue in playlist
  * Workaround mplayer+xvideo not working with double click fullscreen toggle
  * Workaround mplayer_omapfb not restoring properly from fullscreen

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 05 Oct 2008 23:43:11 +0200

## kmplayer 0.8.7-3

=== debian/changelog ===
kmplayer (0.8.7-3) unstable; urgency=low

  * Remove the 'mplayeropts' attribue support again, instead support
    'aspectRatio'. This is a more general.
  * Store position of local files opened from file dialog or from the
    'Recents' list when the user stops playback prematurely. Replay will
    start at this position when restarted or started from 'Recents'

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 07 Oct 2008 23:02:10 +0200

## kmplayer 0.8.7-4

=== debian/changelog ===
kmplayer (0.8.7-4) unstable; urgency=low

  * Don't handle up/down/enter keys when mplayer+xvideo is playing, collides
    with mplayer OSD keys

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 08 Oct 2008 22:47:24 +0200

## kmplayer 0.8.7-5

=== debian/changelog ===
kmplayer (0.8.7-5) unstable; urgency=low

  * Limit the InputOnly overlay only for MPlayer+xvideo

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 09 Oct 2008 20:59:12 +0200

## kmplayer 0.8.7-6

=== debian/changelog ===
kmplayer (0.8.7-6) unstable; urgency=low

  * Fix event filtering not setup when playing local video's
  * Fix scrolling in playlist trees
  * Support 'panZoom' attribute for playlists, passes '-vf crop=w:h:x:y' to
    mplayer

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 14 Oct 2008 19:46:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,5 +7,5 @@
 
 Package: kmplayer
 Architecture: any
-Depends: libcairo2
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Media player.

## kmplayer 0.9.0-1

=== debian/changelog ===
kmplayer (0.9.0-1) unstable; urgency=low

  * Fix in playlist aspect attribute not taken into account for playlists
  * Support for SVG images in SMIL documents
  * Implement 'fit="scroll"' for SMIL
  * Extend ATOM support for media:xx tags for Youtube feeds

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 09 Nov 2008 20:28:23 +0100

## kmplayer 0.9.0-2

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = KMPlayer
 PACKAGE = KMPlayer
-VERSION = 20080813
+VERSION = 20081109
 
 SHELL = /bin/sh

=== debian/changelog ===
kmplayer (0.9.0-2) unstable; urgency=low

  * Add -fs option for when started with an url, toggles fullscreen
  * Add rating stars and web link to Youtube feed summary

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 16 Nov 2008 17:28:03 +0100

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml-dev, libcairo2-dev, libpango1.0-dev, libcurl3-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonhelp-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Media player.

## kmplayer 0.9.1-1

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = KMPlayer
 PACKAGE = KMPlayer
-VERSION = 20081109
+VERSION = 20081213
 
 SHELL = /bin/sh

=== debian/changelog ===
kmplayer (0.9.1-1) unstable; urgency=low

  * Suggest filename of feed enclosure instead of the item's title
  * Add media finder generator
  * Fix a crash in flash support, found with SuperMarioWorldFlash.swf
  * Add support for playlist generators, start with a youtube query generator

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 13 Dec 2008 17:01:17 +0100

## kmplayer 0.9.1-2

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = KMPlayer
 PACKAGE = KMPlayer
-VERSION = 20081213
+VERSION = 20081215
 
 SHELL = /bin/sh

=== debian/changelog ===
kmplayer (0.9.1-2) unstable; urgency=low

  * Add support for 'default' attribute in generator ask tag
  * Add simple Shoutcast.com genre generator
  * Quote path in find-media.sh

 -- Koos Vriezen <koos.vriezen@gmail.com>  Mon, 15 Dec 2008 21:28:21 +0100

## kmplayer 0.9.1-3

=== debian/changelog ===
kmplayer (0.9.1-3) unstable; urgency=low

  * Fix for long delays before playing with pls links, eg from Shoutcast.com
  * Allow scrolling the playlist by dragging

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 04 Jan 2009 16:29:13 +0100

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml-dev, libcairo2-dev, libpango1.0-dev, libcurl3-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonhelp-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev, xsltproc
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
Description: Media player.

## kmplayer 0.9.2-2

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = KMPlayer
 PACKAGE = KMPlayer
-VERSION = 20081215
+VERSION = 20081218
 
 SHELL = /bin/sh

=== debian/changelog ===
kmplayer (0.9.2-2) unstable; urgency=low

  * Add libconic0-dev to build-depends

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 27 Jan 2009 22:05:37 +0100

kmplayer (0.9.2-1) unstable; urgency=low

  * Simple LastFM generator that shows their flashplayer
  * Support attribute 'encoding' for generator tags, only 'percent' works now
  * Implement NPNPostURL properly, makes more flash working
  * Speed up in XML tokenizer
  * Speed up in String += operator
  * Fix 'Recents' losing the titles
  * Fix a crash code path when a connection was directly closed
  * Fix Curl IO watches
  * Use libconic to establish a connect when not connected and need for network

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 27 Jan 2009 21:45:39 +0100

## kmplayer 0.9.2-3

=== debian/changelog ===
kmplayer (0.9.2-3) unstable; urgency=low

  * Don't call osso_display_blanking_pause when not top-most window
  * More speed-ups in XML tokenizer

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 29 Jan 2009 15:24:07 +0100

## kmplayer 0.9.2-5

=== debian/changelog ===
kmplayer (0.9.2-5) unstable; urgency=low

  * Fix regression in List::remove that could lead to a crash
  * Fix copy to not copy dynamic retrieved child items
  * Fix regression in XML tokenizer missing last token if no trailing whitespace

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 04 Feb 2009 19:28:08 +0100

kmplayer (0.9.2-4) unstable; urgency=low

  * Fix connecting wifi when playing a local swf file
  * Copy form Playlist menu now copies url to clipboard
  * Fix add-to-favorites and copy/paste of HTML object items

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 01 Feb 2009 00:24:25 +0100

## kmplayer 0.9.3-1

=== debian/changelog ===
kmplayer (0.9.3-1) unstable; urgency=low

  * More speed-ups in XML tokenizer
  * Start of some simple internal tests
  * Call NpStream finish on user stop
  * Fix crash when activating a container only link in the active list
  * Support 'fill="transition"` inside 'seq' tags, used in YouTube presentation
  * Downloader now gives a message when file could not be written

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 14 Mar 2009 17:37:11 +0100

## kmplayer 0.9.3-2

=== debian/changelog ===
kmplayer (0.9.3-2) unstable; urgency=low

  * Support SMIL region backgroundOpacity and media type mediaBackgroundOpacity
  * Regressing fix in starting SMIL media type children

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 18 Mar 2009 19:55:07 +0100

## kmplayer 0.9.4-1

=== debian/changelog ===
kmplayer (0.9.4-1) unstable; urgency=low

  * Fix hang when input data of a generator has invalid utf8 characters
  * Add generator for blip.tv

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 03 May 2009 17:08:25 +0200

## kmplayer 0.9.4-2

=== debian/changelog ===
kmplayer (0.9.4-2) unstable; urgency=low

  * Make finger scroll of playlist one pixel move, one pixel scroll
  * Also add summary page for RSS feeds with media tags

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 06 May 2009 22:01:25 +0200

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml-dev, libcairo2-dev, libpango1.0-dev, libcurl3-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonhelp-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev, xsltproc, libconic0-dev
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
Description: Media player.

## kmplayer 0.9.5-1

=== debian/changelog ===
kmplayer (0.9.5-1) unstable; urgency=low

  * Swap 'Save' and 'Save As' for 'Export XML', 'Export m3u' resp.
  * Make blip.tv generator information page look nicer
  * Support more text attributes for smilText
  * Fix rating stars on youtube generator information page
  * Fix generators information pages text area getting smaller on every resize

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 17 May 2009 18:08:54 +0200

## kmplayer 0.9.5-2

=== debian/changelog ===
kmplayer (0.9.5-2) unstable; urgency=low

  * Use less temporary memory when reading playlist files
  * Start generator process on first arrived data for speedup
  * Fix <text> font size calc to match that of pango markup (used by <smilText>)

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 26 May 2009 21:44:49 +0200

## kmplayer 0.9.900-2

=== debian/changelog ===
kmplayer (0.9.900-2) unstable; urgency=low

  * Fix libgstreamer-plugins-base0.10-dev dependency

 -- Koos Vriezen <koos.vriezen@gmail.com>  Thu, 17 Sep 2009 00:01:49 +0200

kmplayer (0.9.900-1) unstable; urgency=low

  * Simplistic port to Maemo5
  * Add gstreamer backend as replacement for osso-media-server

 -- Koos Vriezen <koos.vriezen@gmail.com>  Wed, 16 Sep 2009 23:26:07 +0200

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml3.14-dev, libcairo2-dev, libpango1.0-dev, libcurl4-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev, xsltproc, libconic0-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
Description: Media player.

## kmplayer 0.9.901-1

=== debian/changelog ===
kmplayer (0.9.901-1) unstable; urgency=low

  * Make the gstreamer backend work

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 19 Sep 2009 22:11:23 +0200

## kmplayer 0.9.902-1

=== debian/changelog ===
kmplayer (0.9.902-1) unstable; urgency=low

  * Don't set volume on start in kgstplayer
  * Apply Hilden look&feel for the menu's
  * Fix crash with flash player
  * Double click as fullscreen toggle for all the players for now
  * SMIL3 state support

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sun, 27 Sep 2009 16:55:11 +0200

## kmplayer 0.10.0-1

=== debian/changelog ===
kmplayer (0.10.0-1) unstable; urgency=low

  * Apply Hilden look&feel for the menu's
  * Double click as fullscreen toggle for all the players for now
  * SMIL3 state support
  * Port to Maemo5
  * Add gstreamer backend as replacement for osso-media-server

 -- Koos Vriezen <koos.vriezen@gmail.com>  Tue, 29 Sep 2009 22:54:37 +0200

=== debian/control ===
Source: kmplayer
Section: user/multimedia
Priority: optional
Maintainer: Koos Vriezen <koos.vriezen@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, gtkhtml3.14-dev, libcairo2-dev, libpango1.0-dev, libcurl4-openssl-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev, libhildon1-dev, libhildonfm2-dev, osso-af-settings, librsvg2-dev, xsltproc, libconic0-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libglib2.0-dev
Standards-Version: 3.7.2

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
Description: Media player.

## kmplayer 0.10.0-2

=== debian/changelog ===
kmplayer (0.10.0-2) unstable; urgency=low

  * Show a banner when 'save' is selected by no item selected
  * Fix paint of dark blue rectangle on background in fullscreen
  * Hide 'mplayer' player option when not found in /usr/bin
  * Fix aspect settings on video played with gstreamer
  * Make background color of top level items a bit darker

 -- Koos Vriezen <koos.vriezen@gmail.com>  Sat, 03 Oct 2009 15:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,4 +8,4 @@
 Package: kmplayer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, xsltproc
-Description: Media player.
+Description: Media player supporting ASX/RAM/pls/m3u/SMIL playlists and custom generated (http://kmplayer.garage.maemo.org/generators.html). Supported backends are gstreamer, mplayer and libflashplayer
